<?php include('casa/setup.casa.php');
$titulo = 'Registro de Clientes';
include('inc_head.php');
?>
<style>
th{
	color:white;
	text-align:center;
	text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $titulo;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
									<div class="row" style='width:97%' align='left'>
											<div class="col-sm-3">
												<a href="<?php echo PATH_HOME.'clientes-ins1/nuevo';?>" class="btn bg-dark" style='color:white'>
												<i class="fas fa-image"></i> &nbsp; Crear Nuevo Cliente</a>
													<hr>
											</div> 																											
										</div>											
										<div class="table-responsive">
                                    <table id="registros" class="table table-striped table-bordered">
                                        <thead>
                                            <tr class="bg-dark">
												<th>codigo</th>
												<th>clientes</th>																																									
												<th>mz</th>
												<th>lote</th>
												<th>telefono</th>
												<th>modalidad</th>
												<th>promo</th>
												<th>fecha <br> limite</th>
                                                <th>acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>    
                                        <?php 
                                        $db=new DB();
										$Aviso = new DB();

										$sql = "SELECT * FROM cobros_clientes
										WHERE clie_visible = '1'		
										ORDER BY clie_id ASC;";
                                        $db->dbSQL($sql);
                                        $html='';
										$i=0;
                                        while($db->next()){
										$i++;													 
									    
										$clie_codigo = $db->dbField('clie_codigo');
										$clie_nombres = $db->dbField('clie_nombres');
										$clie_apellidos = $db->dbField('clie_apellidos');
										$clie_ci = $db->dbField('clie_ci');
										$clie_celular = $db->dbField('clie_celular');																														
										$clie_m2 = $db->dbField('clie_m2');
										$clie_lote = $db->dbField('clie_lote');
										$clie_promo = $db->dbField('clie_promo');											
										$clie_modalidad = $db->dbField('clie_modalidad');									
										$clie_fechalimite = $db->dbField('clie_fechalimite');								
										$clie_fecha = $db->dbField('clie_fechalimite');								

										$sqlAviso = "SELECT MAX(cobro_mesnumero) as MESNUMERO FROM cobros_cobros 
										WHERE clie_codigo = '$clie_codigo';";
										$Aviso->dbSQL($sqlAviso);
										$Aviso->next();
										$MESNUMERO = $Aviso->dbField('MESNUMERO')+1;

										switch($MESNUMERO){
											case 1:  $mes = 'Ene'; break;
											case 2:  $mes = 'Feb'; break;
											case 3:  $mes = 'Mar'; break;
											case 4:  $mes = 'Abr'; break;
											case 5:  $mes = 'May'; break;
											case 6:  $mes = 'Jun'; break;
											case 7:  $mes = 'Jul'; break;
											case 8:  $mes = 'Ago'; break;
											case 9:  $mes = 'Sep'; break;
											case 10: $mes = 'Oct'; break;
											case 11: $mes = 'Nov'; break;
											case 12: $mes = 'Dic'; break;																
										}

										$hoy = date('d');
										$diferencia = ($hoy)-($clie_fechalimite);
										switch($diferencia){
											case (($diferencia<1)): 
												$color = "red"; 												
											break;
											case (($diferencia>=1)&&($diferencia<=7)): 
												$color = "red"; 												
											break;
											case (($diferencia>=8)&&($diferencia<=14)): 
												$color = "blue"; 												
											break;
											case (($diferencia>=15)&&($diferencia<=21)): 
												$color = "yellow"; 												
											break;
											case (($diferencia>=22)&&($diferencia<=31)): 
												$color = "white"; 												
											break;
										}

										$cliente = $clie_nombres.' '.$clie_apellidos;
										$cliente = str_replace(' ','-',$cliente);
																				
                                            $html.='<tr style="background:">'; 
											$html.='<td>'.$clie_codigo.'</td>';																																
											$html.='<td>'.$cliente.'</td>';											
											$html.='<td>'.$clie_m2.'</td>';																					
											$html.='<td>'.$clie_lote.'</td>';																					
											$html.='<td>'.$clie_celular.'</td>';																					
											$html.='<td>'.$clie_modalidad.'</td>';																					
											$html.='<td>'.$clie_promo.'</td>';																																							
											$html.='<td align=center>'.$clie_fechalimite.' '.$mes.'</td>';

											$html.='<td align=center>
												  <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
													  <span class="btn-label"><i class="fa fa-cog"></i></span>
												  </button><div class="dropdown-menu">
												  <a class="dropdown-item" href="'.PATH_HOME.'cobros/'.$clie_codigo.'&cliente='.$cliente.'"><i class="fas fa-window-close"></i> Pagos o Cobros</a>
												  <div role="separator" class="dropdown-divider"></div>
												  <a class="dropdown-item" href="'.PATH_HOME.'clientes-upd1/'.$clie_codigo.'"><i class="fas fa-edit"></i> Modificar</a>
												  <div role="separator" class="dropdown-divider"></div>
												  <a class="dropdown-item" href="'.PATH_HOME.'clientes-del1/'.$clie_codigo.'"><i class="fas fa-edit"></i> Borrar</a>
												  </div></td>';                                         
                                            
                                            $html.='</tr>';
                                            
                                        }
                                        echo $html;                                        
                                        ?>                                                                                    
                                        </tbody>                                        
                                    </table>
                                </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#registros').DataTable({
		"pageLength": 25,
	});
});	
</script>